extend("fiskheroes:hero_basic"),
loadTextures({
    "layer1": "knights:arishem_layer1",
    "layer2": "knights:arishem_layer2"
});
var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
    utils.bindCloud(renderer, "fiskheroes:telekinesis", "knights:telekinesis_hellfire");
 utils.bindCloud(renderer, "fiskheroes:teleportation", "knights:hell");
utils.bindBeam(renderer, "fiskheroes:charged_beam", "knights:shockwave", "body", 0xFFFFFF, [
    { "firstPerson": [0, 0, 0], "offset": [0, 0.25, 1.0], "size": [5, 2.0] }
]);
}
function initAnimations(renderer) {
    parent.initAnimations(renderer);
    utils.addFlightAnimation(renderer, "vision.FLIGHT", "fiskheroes:flight/default.anim.json");
    utils.addHoverAnimation(renderer, "vision.HOVER", "fiskheroes:flight/idle/neutral");
}